Upgrade snowplow from R98 to R109


#1

We are planning to upgrade snowplow from R98 to R109 version. So what might be the essential steps we need to consider and whether we need to upgrade javascript tracker for the same? we are using javascript tracker 2.5.1


#2

@Dev, you can refer to Upgrade Guide for guidance on pipeline upgrade.

The Javascript tracker version is not essential here but is recommended to be upgraded too. The version 2.5.1 is very old indeed. The latest version is currently 2.9.2.

There are no breaking changes to upgrade from 2.5.1 to 2.9.2. You might wish to go over release notes to see what’s been introduced in the newer versions to take advantage of new features:

Non-breaking changes to keep in mind:

  • domainUserId is a UUID from v2.6
  • trackPageView generates a new ID with each page view from v2.7
  • trackSelfDescribingEvent is an alias for trackUnstructEvent from v2.7
  • useLocalStorage and useCookies are deprecated from v2.8. They will fire warnings if still used.

#3

Thanks ihor